> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post adminv2 rolloutjobs

> Create an EE v2 rollout job

Required token scopes: `instance|update`



## OpenAPI

````yaml /swagger.json post /admin/v2-rollout/jobs
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/v2-rollout/jobs:
    post:
      tags:
        - admin
      description: |-
        Create an EE v2 rollout job

        Required token scopes: `instance|update`
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - prepare
                    - switch
                    - full
                  default: prepare
                mode:
                  type: string
                  enum:
                    - dry_run
                    - repair
                    - switch_space
                    - switch_global
                  default: dry_run
                spaceIds:
                  type: array
                  items:
                    type: string
                baseIds:
                  type: array
                  items:
                    type: string
                excludeSpaceIds:
                  type: array
                  items:
                    type: string
                excludeBaseIds:
                  type: array
                  items:
                    type: string
                sourceJobId:
                  type: string
                concurrency:
                  type: integer
                  minimum: 1
                  maximum: 8
                  default: 1
                autoStart:
                  type: boolean
                  default: true
                allowBlockedSwitch:
                  type: boolean
                  default: false
                forceNew:
                  type: boolean
                  default: false
      responses:
        '200':
          description: Created v2 rollout job
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  type:
                    type: string
                    enum:
                      - prepare
                      - switch
                      - full
                  status:
                    type: string
                    enum:
                      - pending
                      - running
                      - paused
                      - completed
                      - completed_with_blocks
                      - failed
                      - canceled
                  phase:
                    type: string
                    nullable: true
                    enum:
                      - inventory
                      - checking
                      - repairing
                      - verifying
                      - switching
                  mode:
                    type: string
                    enum:
                      - dry_run
                      - repair
                      - switch_space
                      - switch_global
                  options:
                    nullable: true
                  totalSpaces:
                    type: number
                  totalBases:
                    type: number
                  readySpaces:
                    type: number
                  readyBases:
                    type: number
                  blockedSpaces:
                    type: number
                  blockedBases:
                    type: number
                  failedSpaces:
                    type: number
                  failedBases:
                    type: number
                  skippedSpaces:
                    type: number
                  skippedBases:
                    type: number
                  switchedSpaces:
                    type: number
                  error:
                    type: string
                    nullable: true
                  createdBy:
                    type: string
                    nullable: true
                  createdTime:
                    type: string
                  startedTime:
                    type: string
                    nullable: true
                  finishedTime:
                    type: string
                    nullable: true
                  lastEventSeq:
                    type: number
                required:
                  - id
                  - type
                  - status
                  - mode
                  - totalSpaces
                  - totalBases
                  - readySpaces
                  - readyBases
                  - blockedSpaces
                  - blockedBases
                  - failedSpaces
                  - failedBases
                  - skippedSpaces
                  - skippedBases
                  - switchedSpaces
                  - createdTime
                  - lastEventSeq
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request POST \
              --url https://app.teable.ai/api/admin/v2-rollout/jobs \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"type":"prepare","mode":"dry_run","spaceIds":["string"],"baseIds":["string"],"excludeSpaceIds":["string"],"excludeBaseIds":["string"],"sourceJobId":"string","concurrency":1,"autoStart":true,"allowBlockedSwitch":false,"forceNew":false}'
        - lang: JavaScript
          source: |-
            const url = 'https://app.teable.ai/api/admin/v2-rollout/jobs';
            const options = {
              method: 'POST',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"type":"prepare","mode":"dry_run","spaceIds":["string"],"baseIds":["string"],"excludeSpaceIds":["string"],"excludeBaseIds":["string"],"sourceJobId":"string","concurrency":1,"autoStart":true,"allowBlockedSwitch":false,"forceNew":false}'
            };

            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'POST',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/v2-rollout/jobs',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({
              type: 'prepare',
              mode: 'dry_run',
              spaceIds: ['string'],
              baseIds: ['string'],
              excludeSpaceIds: ['string'],
              excludeBaseIds: ['string'],
              sourceJobId: 'string',
              concurrency: 1,
              autoStart: true,
              allowBlockedSwitch: false,
              forceNew: false
            }));
            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "{\"type\":\"prepare\",\"mode\":\"dry_run\",\"spaceIds\":[\"string\"],\"baseIds\":[\"string\"],\"excludeSpaceIds\":[\"string\"],\"excludeBaseIds\":[\"string\"],\"sourceJobId\":\"string\",\"concurrency\":1,\"autoStart\":true,\"allowBlockedSwitch\":false,\"forceNew\":false}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("POST", "/api/admin/v2-rollout/jobs", payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````